netboot mini.iso doesn't support UEFI boot

Bug #1429030 reported by William Grant on 2015-03-06
136
This bug affects 29 people
Affects Status Importance Assigned to Milestone
debian-installer (Ubuntu)
High
Mathieu Trudel-Lapierre

Bug Description

The amd64 mini.iso (in at least trusty through current vivid) has an EFI boot partition, but it's empty. This renders the image unbootable on systems without BIOS boot enabled.

This is easily worked around by copying {boot,grub}x64.efi from eg. a desktop image into the empty partition.

tags: added: trusty utopic vivid
Changed in debian-installer (Ubuntu):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in debian-installer (Ubuntu):
status: New → Confirmed
Shih-Yuan Lee (fourdollars) wrote :
summary: - mini.iso's UEFI boot partition is empty
+ netboot mini.iso doesn't support UEFI BIOS mode installation.
William Grant (wgrant) on 2015-10-08
summary: - netboot mini.iso doesn't support UEFI BIOS mode installation.
+ netboot mini.iso doesn't support UEFI boot
Changed in debian-installer (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
importance: Medium → High
status: Confirmed → Triaged
tags: added: wily

When will this be fixed?

Naël (nathanael-naeri) wrote :

I once had to install 14.04 LTS by booting from the mini ISO image on the internal hard disk instead of booting from a thumb drive made from that image (2008 Apple Macbook Pro can't boot from USB, can you believe that).

I wished the EFI folder of that ISO hadn't been empty.

WILL THIS BUG EVER BE FIXED!!!!!!

tags: added: xenial
BPM (britishben) wrote :

In the 16.04 mini.iso, extracting /boot/grub/efi.img to the root of the image works too - the UEFI support is provided, but not enabled.

Naël (nathanael-naeri) wrote :

Is there a good reason why this is up to the user to do it, instead of done by default?

Orher than their LAZY I don't see any reason they can't do. They do it for their desktop cds and Debian does it for their daily net install isos

Elliot Huffman (elliot-labs) wrote :

Amd64 variant of the ubuntu netboot images does not include UEFI enabled by default.

Successfully enabled EFI by extracting the grub images like was suggested above.

Ubuntu version: 16.04.1 LTS x64 netboot mini.iso

Naël (nathanael-naeri) wrote :

@Elliot, can you give more details please? I don't know how to extract files to the root of an image and obtain a new image. I'd like to try.

You shouldn't have to do that, Ubuntu should fix the mini.iso. Debian's net install iso works with UEFI so Ubuntu's should as well.

tags: added: zesty
Naël (nathanael-naeri) on 2017-02-13
tags: added: yakkety
removed: utopic vivid wily

Will this ever be fixed?

tags: added: artful
tags: removed: yakkety

Is this ever going to be fixed, if Debian can have it working so can you.

tags: added: bionic
tags: added: cosmic
Wladimir Mutel (mwg) wrote :

Add my vote for getting Ubuntu mini.iso compliant with Debian and currently-common sense overall.

FurretUber (furretuber) wrote :

I tried Precise, Trusty, Bionic and Cosmic amd64 Mini ISOs and all of them are booting successfully in QEMU with OVMF. However, none of them are booting in a UEFI physical machine.

It's strange this bug is present for three years: both Desktop and Server images have a functional bootloader. Those unused FAT12 partition take as much as 1/6 of the Mini image sizes.

Niklas Holm (niklas-holm) wrote :

This bug caused me a significant amount of time before figuring out how to fix it manually. It should be trivial to fix this on the ISO as well.

HOW, AFTER FOUR YEARS, IS THIS NOT FIXED YET???

Steve Langasek (vorlon) wrote :

> HOW, AFTER FOUR YEARS, IS THIS NOT FIXED YET???

The mini iso is an artifact of the debian-installer package build and is not a supported installer that we reference anywhere on <https://www.ubuntu.com/download>. It undergoes exactly zero testing as part of the release process, and is not something that we invest in. I would recommend that you use one of the supported install images linked from https://www.ubuntu.com/download instead.

Changed in debian-installer:
assignee: nobody → Artyom Pozharov (artyom-pozharov)
affects: debian-installer → grub
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Steve Langasek (vorlon) on 2019-07-06
affects: grub → grub (Ubuntu)
Changed in grub (Ubuntu):
status: New → Confirmed
Steve Langasek (vorlon) on 2019-07-06
no longer affects: grub (Ubuntu)
Niklas Holm (niklas-holm) wrote :

> The mini iso is an artifact of the debian-installer package build and is not a supported installer that we reference anywhere on <https://www.ubuntu.com/download>.

Now that is some interesting news, and untrue. The netboot installer is referenced in the drop-down menu (https://ubuntu.com/download#download) and on the alternate installer sub-page (https://ubuntu.com/download/alternative-downloads). Not anywhere does it say anything about being unsupported. If what you're saying is true than it should be clearly communicated to the users.

On Sun, Jul 07, 2019 at 01:03:24AM -0000, Niklas Holm wrote:
>> The mini iso is an artifact of the debian-installer package build and
>> is not a supported installer that we reference anywhere on
>> <https://www.ubuntu.com/download>.

> Now that is some interesting news, and untrue. The netboot installer is
> referenced in the drop-down menu (https://ubuntu.com/download#download)
> and on the alternate installer sub-page (https://ubuntu.com/download
> /alternative-downloads). Not anywhere does it say anything about being
> unsupported. If what you're saying is true than it should be clearly
> communicated to the users.

The netboot installer is not the same thing as the mini.iso. The download
page refers to "Network installer". Nowhere does it reference the mini.iso,
which is clearly not being booted over the network.

Niklas Holm (niklas-holm) wrote :

> The netboot installer is not the same thing as the mini.iso. The download
> page refers to "Network installer". Nowhere does it reference the
> mini.iso,
> which is clearly not being booted over the network.
>

Sorry, that was a typo, I meant the network installer. Easy mistake to make
since the terms are used seemingly interchangeably. Are you saying the
mini.iso is not the network installer? If so, it's even more misleading,
because that's where the network installer download link leads to.

>

Going to 19.04 on the netboot installer page leads me to this page. http://archive.ubuntu.com/ubuntu/dists/disco/main/installer-amd64/current/images/netboot/ Which one is the netboot image? One would assume the mini.iso which you say isn't the netboot image.

Cslycord (cslycord) wrote :

>The netboot installer is not the same thing as the mini.iso. The download
>page refers to "Network installer". Nowhere does it reference the mini.iso,
>which is clearly not being booted over the network.

If this is true, then the documentation is confusing.

The "network installer" links take you to a netboot page and from there you choose which architechure you're using. The mini.iso file resides inside this netboot subdirectory.

So, it's not surprising that someone might think that "network installer" and "netboot" are the same.

To make it clear about this:
1) Go to https://ubuntu.com/download/alternative-downloads
2) Click on of the "Download the network installer for (x)" links
3) This will then take you the netboot page. Ex: 19.04 link -> http://cdimage.ubuntu.com/netboot/19.04/
4) Now, you click on the architechure you want. I'll show for amd64

You'll see a listing of files like:
[ICO] Name Last modified Size
[PARENTDIR] Parent Directory -
[ ] boot.img.gz 2019-04-16 08:24 55M
[ ] ldlinux.c32 2019-04-16 08:24 113K
[ ] mini.iso 2019-04-16 08:24 68M
[ ] netboot.tar.gz 2019-04-16 08:24 55M
[ ] pxelinux.0 2019-04-16 08:24 41K
[DIR] pxelinux.cfg/ 2019-04-16 08:24 -
[DIR] ubuntu-installer/ 2019-04-16 08:24 -
[DIR] xen/ 2019-04-16 08:24 -

So, again network installer -> netboot -> netboot-ARCH-subdir -> mini.iso

Shih-Yuan Lee (fourdollars) wrote :

mini.iso is just one thing.
Network installer supported many different things, such as PXE, Xen, ISO, virt-manager, ...

Niklas Holm (niklas-holm) wrote :

@vorlon Please explain how the user is supposed to know which of these network/netboot/whatever installers is supported and which is not.

Niklas Holm (niklas-holm) wrote :

It also interesting how this bug has been triaged and assigned an importance of "High", yet absolutely nothing has happened for over four years. How come, @cyphermox?

Piotr Martycz (pmartycz) on 2020-01-02
tags: added: focal
Piotr Martycz (pmartycz) wrote :

Seems like the previous workaround (extracting /boot/grub/efi.img) stopped working after bionic release (black screen instead of grub).

Piotr Martycz (pmartycz) wrote :

^ Please ignore my last comment, it still works just doesn't show grub menu and requires more patience before something useful appears on screen.

FWIW, i've created a script for downloading/unpacking mini.iso adding UEFI support

https://gist.github.com/pmartycz/74da258f6d876862b88caa9b4026b1c2

E.g.

$ ubuntu-mini-iso-uefi focal

Then you can just move files from focal/ to your FAT formatted boot media.

#28 I get the following error message when I run your script.
100 1554 100 1554 0 0 28777 0 --:--:-- --:--:-- --:--:-- 28777
gpg: Signature made Tue 10 Mar 2020 10:38:21 AM CDT
gpg: using RSA key 3B4FE6ACC0B21F32
gpg: Can't check signature: No public key
gpg: Signature made Tue 10 Mar 2020 10:38:21 AM CDT
gpg: using RSA key 871920D1991BC93C
gpg: Can't check signature: No public key

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers